# ``twisted`.`python`.`usage`.`CompleteMultiList``

class documentation

`class CompleteMultiList(Completer): (source)`

View In Hierarchy

Completes multiple comma-separated items based on a fixed list of words

Method | `__init__` |
Method | `_shellCode` | Fetch a fragment of shell code representing this action which is suitable for use by the completion system in _shellcomp.py
Instance Variable | `_items` | Undocumented

Inherited from `Completer`:

Method | `_description` | Undocumented
Instance Variable | `_descr` | Undocumented
Instance Variable | `_repeat` | Undocumented
Property | `_repeatFlag` | Undocumented

def __init__(self, items, **kw): (source)
overrides `twisted.python.usage.Completer.__init__`

Parameters
items | Undocumented
**kw | Undocumented
descr:`str` | An optional descriptive string displayed above matches.
repeat:`bool` | A flag, defaulting to False, indicating whether this `Completer` should repeat - that is, be used to complete more than one command-line word. This may ONLY be set to True for actions in the `extraActions` keyword argument to `Completions`. And ONLY if it is the LAST (or only) action in the `extraActions` list.

def _shellCode(self, optName, shellType): (source)
overrides `twisted.python.usage.Completer._shellCode`
Fetch a fragment of shell code representing this action which is suitable for use by the completion system in _shellcomp.py

Parameters
optName:`str` | The long name of the option this action is being used for.
shellType:`str` | One of the supported shell constants e.g. `twisted.python.usage._ZSH`

_items = (source)

Undocumented